Package wx :: Package lib :: Package ogl :: Class DividedShape

[frames | no frames]

## Type DividedShape

         object --+
                  |
    ShapeEvtHandler --+
                      |
                  Shape --+
                          |
             RectangleShape --+
                              |
                             DividedShape

A DividedShape is a rectangle with a number of vertical divisions. Each division may have its text formatted with independent characteristics, and the size of each division relative to the whole image may be specified.

Derived from:
  RectangleShape

Method Summary
| `__init__(self, w, h)`
| ``AttachmentIsValid`(self, attachment)` TRUE if attachment is a valid attachment point.
| ``EditRegions`(self)` Edit the region colours and styles.
| ``GetAttachmentPosition`(self, attachment, nth, no_arcs, line)` Get the position at which the given attachment point should be drawn.
| ``GetNumberOfAttachments`(self)` Get the number of attachment points for this shape.
| ``MakeControlPoints`(self)` Make a list of control points (draggable handles) appropriate to the shape.
| ``MakeMandatoryControlPoints`(self)` Make the mandatory control points.
| `OnDraw(self, dc)`
| `OnDrawContents(self, dc)`
| `OnRightClick(self, x, y, keys, attachment)`
| ``ResetControlPoints`(self)` Reset the positions of the control points (for instance when the shape's shape has changed).
| ``ResetMandatoryControlPoints`(self)` Reset the mandatory control points.
| ``SetRegionSizes`(self)` Set all region sizes according to proportions and this object total size.
| `SetSize(self, w, h, recursive)`

Class Variable Summary

Method Details

### AttachmentIsValid(self, attachment)

TRUE if attachment is a valid attachment point.

  Overrides:
    `wx.lib.ogl.Shape.AttachmentIsValid` (inherited documentation)

### EditRegions(self)

Edit the region colours and styles. Not implemented.

### GetAttachmentPosition(self, attachment, nth=0, no_arcs=1, line=None)

Get the position at which the given attachment point should be drawn.

If attachment isn't found among the attachment points of the shape, returns None.

  Overrides:
    `wx.lib.ogl.Shape.GetAttachmentPosition` (inherited documentation)

### GetNumberOfAttachments(self)

Get the number of attachment points for this shape.

  Overrides:
    `wx.lib.ogl.Shape.GetNumberOfAttachments` (inherited documentation)

### MakeControlPoints(self)

Make a list of control points (draggable handles) appropriate to the shape.

  Overrides:
    `wx.lib.ogl.Shape.MakeControlPoints` (inherited documentation)

### MakeMandatoryControlPoints(self)

Make the mandatory control points.

For example, the control point on a dividing line should appear even if the divided rectangle shape's handles should not appear (because it is the child of a composite, and children are not resizable).

  Overrides:
    `wx.lib.ogl.Shape.MakeMandatoryControlPoints` (inherited documentation)

### ResetControlPoints(self)

Reset the positions of the control points (for instance when the shape's shape has changed).

  Overrides:
    `wx.lib.ogl.Shape.ResetControlPoints` (inherited documentation)

### ResetMandatoryControlPoints(self)

Reset the mandatory control points.

  Overrides:
    `wx.lib.ogl.Shape.ResetMandatoryControlPoints` (inherited documentation)

### SetRegionSizes(self)

Set all region sizes according to proportions and this object total size.

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:08:33 2007 | http://epydoc.sf.net